/////////////////////////////////////////////////////////////////////////////
// Name:        long_text_info.cpp
// Purpose:     
// Author:      
// Modified by: 
// Created:     22/11/2009 22:03:21
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
#include "wx/mstream.h"
////@end includes

#include "long_text_info.h"

////@begin XPM images
////@end XPM images


/*!
 * CLongTextInfo type definition
 */

IMPLEMENT_DYNAMIC_CLASS( CLongTextInfo, wxDialog )


/*!
 * CLongTextInfo event table definition
 */

BEGIN_EVENT_TABLE( CLongTextInfo, wxDialog )

////@begin CLongTextInfo event table entries
////@end CLongTextInfo event table entries

END_EVENT_TABLE()


/*!
 * CLongTextInfo constructors
 */

CLongTextInfo::CLongTextInfo()
{
    Init();
}

CLongTextInfo::CLongTextInfo( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
    Init();
    Create(parent, id, caption, pos, size, style);
}


/*!
 * CLongTextInfo creator
 */

bool CLongTextInfo::Create( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
////@begin CLongTextInfo creation
    SetExtraStyle(wxWS_EX_BLOCK_EVENTS);
    wxDialog::Create( parent, id, caption, pos, size, style );

    CreateControls();
    if (GetSizer())
    {
        GetSizer()->SetSizeHints(this);
    }
    Centre();
////@end CLongTextInfo creation
    return true;
}


/*!
 * CLongTextInfo destructor
 */

CLongTextInfo::~CLongTextInfo()
{
////@begin CLongTextInfo destruction
////@end CLongTextInfo destruction
}


/*!
 * Member initialisation
 */

void CLongTextInfo::Init()
{
////@begin CLongTextInfo member initialisation
    m_MainSizer = NULL;
    m_UpperTextCtrl = NULL;
    m_LongTextCtrl = NULL;
////@end CLongTextInfo member initialisation
}


/*!
 * Control creation for CLongTextInfo
 */

void CLongTextInfo::CreateControls()
{    
////@begin CLongTextInfo content construction
    CLongTextInfo* itemDialog1 = this;

    m_MainSizer = new wxBoxSizer(wxVERTICAL);
    itemDialog1->SetSizer(m_MainSizer);

    m_UpperTextCtrl = new wxStaticText( itemDialog1, wxID_STATIC, _("Upper part"), wxDefaultPosition, wxDefaultSize, 0 );
    m_MainSizer->Add(m_UpperTextCtrl, 0, wxGROW|wxALL, 5);

    m_LongTextCtrl = new wxTextCtrl( itemDialog1, ID_LONG_TEXT, wxEmptyString, wxDefaultPosition, wxSize(300, 200), wxTE_MULTILINE|wxTE_READONLY|wxTE_RICH|wxHSCROLL );
    m_MainSizer->Add(m_LongTextCtrl, 1, wxGROW|wxALL, 5);

    wxButton* itemButton5 = new wxButton( itemDialog1, wxID_OK, _("OK"), wxDefaultPosition, wxDefaultSize, 0 );
    m_MainSizer->Add(itemButton5, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

////@end CLongTextInfo content construction
}


/*!
 * Should we show tooltips?
 */

bool CLongTextInfo::ShowToolTips()
{
    return true;
}

/*!
 * Get bitmap resources
 */

wxBitmap CLongTextInfo::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
////@begin CLongTextInfo bitmap retrieval
    wxUnusedVar(name);
    return wxNullBitmap;
////@end CLongTextInfo bitmap retrieval
}

/*!
 * Get icon resources
 */

wxIcon CLongTextInfo::GetIconResource( const wxString& name )
{
    // Icon retrieval
////@begin CLongTextInfo icon retrieval
    wxUnusedVar(name);
    return wxNullIcon;
////@end CLongTextInfo icon retrieval
}

void CLongTextInfo::AdaptSize() {
	m_MainSizer->Layout();
	m_MainSizer->Fit(this);
	Centre();
}


