/////////////////////////////////////////////////////////////////////////////
// Name:        about_dialog.h
// Purpose:     
// Author:      
// Modified by: 
// Created:     19/09/2009 20:58:24
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _ABOUT_DIALOG_H_
#define _ABOUT_DIALOG_H_


/*!
 * Includes
 */

////@begin includes
#include "wx/hyperlink.h"
#include "wx/notebook.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_CABOUTDIALOG 10098
#define ID_HYPERLINKCTRL_VVVP 10108
#define ID_NOTEBOOK 10099
#define ID_PANEL_DEVELOPERS 10100
#define ID_PANEL_ARTISTS 10101
#define ID_PANEL_CREDITS 10102
#define ID_HYPERLINKCTRL_WXWIDGETS 10103
#define ID_HYPERLINKCTRL_FIREBIRD 10104
#define ID_HYPERLINKCTRL_EXIV2 10105
#define ID_HYPERLINKCTRL_LCMS 10167
#define ID_PANEL 10106
#define ID_TEXTCTRL_LICENSE 10107
#define SYMBOL_CABOUTDIALOG_STYLE wxCAPTION|wxSYSTEM_MENU|wxCLOSE_BOX|wxTAB_TRAVERSAL
#define SYMBOL_CABOUTDIALOG_TITLE _("About vvvP")
#define SYMBOL_CABOUTDIALOG_IDNAME ID_CABOUTDIALOG
#define SYMBOL_CABOUTDIALOG_SIZE wxSize(400, 300)
#define SYMBOL_CABOUTDIALOG_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * CAboutDialog class declaration
 */

class CAboutDialog: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( CAboutDialog )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CAboutDialog();
    CAboutDialog( wxWindow* parent, wxWindowID id = SYMBOL_CABOUTDIALOG_IDNAME, const wxString& caption = SYMBOL_CABOUTDIALOG_TITLE, const wxPoint& pos = SYMBOL_CABOUTDIALOG_POSITION, const wxSize& size = SYMBOL_CABOUTDIALOG_SIZE, long style = SYMBOL_CABOUTDIALOG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CABOUTDIALOG_IDNAME, const wxString& caption = SYMBOL_CABOUTDIALOG_TITLE, const wxPoint& pos = SYMBOL_CABOUTDIALOG_POSITION, const wxSize& size = SYMBOL_CABOUTDIALOG_SIZE, long style = SYMBOL_CABOUTDIALOG_STYLE );

    /// Destructor
    ~CAboutDialog();

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CAboutDialog event handler declarations

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_CLOSE
    void OnCloseClick( wxCommandEvent& event );

////@end CAboutDialog event handler declarations

////@begin CAboutDialog member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CAboutDialog member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CAboutDialog member variables
    wxStaticText* m_ProgramNameCtrl;
////@end CAboutDialog member variables

	void SetVersion( wxString version );

private:

	// the application version to show
	wxString m_Version;

};

#endif
    // _ABOUT_DIALOG_H_
